package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreFieldDTO;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public interface StoreFieldApiService {

    /**
     * 分页查询门店属性列表
     * @param search
     * @param pageNum
     * @param pageSize
     * @return
     */
    ServiceResponse<Page<StoreFieldDTO>> listStoreField(Integer enterpriseId, String search, Integer pageNum, Integer pageSize);
    /**
     * 查询全部的门店属性
     * @return
     */
    ServiceResponse<List<StoreFieldDTO>> listStoreField();

    /**
     * 查询门店域下 所有的门店属性
     * @param enterpriseId
     * @param storeRegionId
     * @return
     */
    ServiceResponse<List<StoreFieldDTO>> listStoreFieldByStoreRegionId(Integer enterpriseId, Integer storeRegionId);

    ServiceResponse<StoreFieldDTO> getStoreFieldById(Integer storeFieldId);

    /**
     * 保存或更新门店属性
     * @param storeFieldDTO
     * @return id
     */
    ServiceResponse<Integer> saveOrUpdateStoreField(StoreFieldDTO storeFieldDTO);

    /**
     * 批量删除
     * @param enterpriseId 企业id 用来判断授权
     * @param ids
     * @return
     */
    ServiceResponse<Integer> deleteByIds(Integer enterpriseId, String ids);

    /**
     *
     */
    ServiceResponse sortStoreField(Integer storeFieldId, Integer storeFieldType);

    ServiceResponse setStoreField(Integer storeFieldId, Integer sort);


}
