package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreFieldSelectDTO;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public interface StoreFieldSelectApiService {

    /**
     * 分页查列表
     * @param enterpriseId
     * @param storeFieldId
     * @param search 属性值或名称
     * @param pageNum
     * @param pageSize
     * @return
     */
    ServiceResponse<Page<StoreFieldSelectDTO>> listStoreFieldSelect(Integer enterpriseId, Integer storeFieldId, String search, Integer pageNum, Integer pageSize);

    ServiceResponse<List<StoreFieldSelectDTO>> listStoreFieldSelect(Integer enterpriseId, Integer storeFieldId);

    ServiceResponse<Integer> saveOrUpdateStoreFieldSelect(StoreFieldSelectDTO storeFieldSelectDTO);

//    排序
//    ServiceResponse<> sortStoreFieldSelect

    /**
     * 批量删除
     * @param enterpriseId 企业id 用来判断授权
     * @param ids
     * @return
     */
    ServiceResponse<Integer> deleteByIds(Integer enterpriseId, String ids);
}
