package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStore;

public interface TabStoreMapper {
    /**
     * 根据主键删除
     *
     * @param storeId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStore record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStore record);

    /**
     * 根据主键查询
     *
     * @param storeId 主键
     * @return 实体对象
     */
    TabStore selectByPrimaryKey(Integer storeId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStore record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStore record);
}