package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreTmp;

public interface TabStoreTmpMapper {
    /**
     * 根据主键删除
     *
     * @param storeTmpId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeTmpId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreTmp record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreTmp record);

    /**
     * 根据主键查询
     *
     * @param storeTmpId 主键
     * @return 实体对象
     */
    TabStoreTmp selectByPrimaryKey(Integer storeTmpId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreTmp record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreTmp record);
}