package com.gic.store.service.impl;

import com.gic.api.base.commons.Page;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.GlobalInfo;
import com.gic.commons.util.PageHelperUtils;
import com.gic.store.dao.mapper.TabStoreRegionMapper;
import com.gic.store.dto.StoreRegionDTO;
import com.gic.store.entity.TabStoreRegion;
import com.gic.store.service.StoreRegionService;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
@Service
@SuppressWarnings("unchecked")
public class StoreRegionServiceImpl implements StoreRegionService {

    @Autowired
    private TabStoreRegionMapper storeRegionMapper;

    @Override
    public int countByRegionCode(Integer enterpriseId, String regionCode) {
        TabStoreRegion storeRegion = new TabStoreRegion();
        storeRegion.setEnterpriseId(enterpriseId);
        storeRegion.setRegionCode(regionCode);
        return storeRegionMapper.countBySelective(storeRegion);
    }

    @Override
    public int countByRegionName(Integer enterpriseId, String regionName, Integer regionId) {
        TabStoreRegion storeRegion = new TabStoreRegion();
        storeRegion.setEnterpriseId(enterpriseId);
        storeRegion.setRegionName(regionName);
        storeRegion.setRegionId(regionId);
        return storeRegionMapper.countBySelective(storeRegion);
    }

    @Override
    public Integer save(Integer enterpriseId, String regionCode, String regionName) {
        TabStoreRegion storeRegion = new TabStoreRegion();
        storeRegion.setRegionCode(regionCode);
        storeRegion.setRegionName(regionName);
        storeRegion.setCreateTime(new Date());
        storeRegion.setEnterpriseId(enterpriseId);
        storeRegion.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        int i = storeRegionMapper.insertSelective(storeRegion);
        return i;
    }

    @Override
    public int update(Integer regionId, String regionName) {
        TabStoreRegion storeRegion = new TabStoreRegion();
        storeRegion.setRegionId(regionId);
        storeRegion.setRegionName(regionName);
        int i = storeRegionMapper.updateByPrimaryKeySelective(storeRegion);
        return i;
    }

    @Override
    public Page<StoreRegionDTO> listStoreRegion(Integer enterpriseId, String search, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize, " create_time desc ");
        // 查列表
        List<TabStoreRegion> storeRegionList = storeRegionMapper.listStoreRegion(enterpriseId, search);
        return PageHelperUtils.changePageHelperToCurrentPage((com.github.pagehelper.Page) storeRegionList, StoreRegionDTO.class);
    }

    @Override
    public List<StoreRegionDTO> listStoreRegion(Integer enterpriseId, String search) {
        List<TabStoreRegion> storeRegionList = storeRegionMapper.listStoreRegion(enterpriseId, search);
        return EntityUtil.changeEntityListByOrika(StoreRegionDTO.class, storeRegionList);
    }
}
