package com.gic.store.web.controller;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.store.dto.StoreDictDTO;
import com.gic.store.service.StoreDictApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

@Controller
public class StoreDictController {
    @Autowired
    private StoreDictApiService storeDictApiService;

    @RequestMapping("list-all-storetype")
    @ResponseBody
    public Object listAllStoreType(){
        Integer enterpriseId = 1111;
        ServiceResponse<List<StoreDictDTO>> serviceResponse = this.storeDictApiService.listAllStoreType(enterpriseId);
        if(serviceResponse.isSuccess()){
            return RestResponse.success(serviceResponse.getResult());
        }else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }

    @RequestMapping("list-all-storestatus")
    @ResponseBody
    public RestResponse listAllStoreStatus(){
        Integer enterpriseId = 1111;
        ServiceResponse<List<StoreDictDTO>> serviceResponse = this.storeDictApiService.listAllStoreStatus(enterpriseId);
        if(serviceResponse.isSuccess()){
            return RestResponse.success(serviceResponse.getResult());
        }else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }

    @RequestMapping("list-storetype")
    @ResponseBody
    public RestResponse listStoreType(){
        Integer enterpriseId = 1111;
        ServiceResponse<List<StoreDictDTO>> serviceResponse = this.storeDictApiService.listStoreType(enterpriseId);
        if(serviceResponse.isSuccess()){
            return RestResponse.success(serviceResponse.getResult());
        }else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }

    @RequestMapping("list-storestatus")
    @ResponseBody
    public RestResponse listStoreStatus(){
        Integer enterpriseId = 1111;
        ServiceResponse<List<StoreDictDTO>> serviceResponse = this.storeDictApiService.listStoreStatus(enterpriseId);
        if(serviceResponse.isSuccess()){
            return RestResponse.success(serviceResponse.getResult());
        }else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }
}
